Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364603 - Review Request: python-XStatic-Angular-Schema-Form - Angular-Schema-Form JavaScript library packaged for setuptools (easy_install) / pip. [NEEDINFO]
Summary: Review Request: python-XStatic-Angular-Schema-Form - Angular-Schema-Form Java...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-08-05 22:13 UTC by David Moreau Simard
Modified: 2018-02-05 11:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
karlthered: fedora-review+
mrunge: needinfo? (dms)


Attachments (Terms of Use)
python-XStatic-D3 vs python-XStatic-Angular-Schema-Form (deleted)
2016-08-06 16:39 UTC, David Moreau Simard
no flags Details

Description David Moreau Simard 2016-08-05 22:13:04 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/master/python-XStatic-Angular-Schema-Form-distgit.spec
SRPM URL: https://github.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/raw/master/python-XStatic-Angular-Schema-Form-0.8.13.0-1.fc24.src.rpm
Description: Angular-Schema-Form JavaScript library packaged for setuptools (easy_install) / pip.

Generate forms from JSON schemas using AngularJS.
Fedora Account System Username: dmsimard

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=15147224

Comment 1 David Moreau Simard 2016-08-05 22:29:38 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/master/python-XStatic-Angular-Schema-Form.spec
SRPM URL: https://github.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/raw/master/python-XStatic-Angular-Schema-Form-0.8.13.0-1.fc24.src.rpm
Description: Angular-Schema-Form JavaScript library packaged for setuptools (easy_install) / pip.

Generate forms from JSON schemas using AngularJS.
Fedora Account System Username: dmsimard

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=15147366

Comment 2 Haïkel Guémar 2016-08-06 06:57:35 UTC
I'll be sponsoring David, reviews are welcome.

Comment 3 Haïkel Guémar 2016-08-06 07:40:44 UTC
* To respect guidelines the "xstatic-angular-schema-form-common" should be renamed as js-%{pypi_name}.
https://fedoraproject.org/wiki/Packaging:JavaScript#Naming_Guidelines
But as it may conflict with a future package for this library -rationale behing the previous XStatic packages-, it's ok.

* You should version requires on the js library subpackage
Requires:       xstatic-angular-schema-form-common = %{version}-%{release}

The XStatic package has been tested with a specific version, so you'd want to tie them together so that if you upgrade python-xstatic-angular-schemar-form-common, it also upgrades the js subpackage.

* keep the data subdirectory in the install path of the js library, it is actually part of the "API". As you see, Horizon is picking it up at a very specific location. By relocating it, you'll just break Horizon at runtime.
https://github.com/openstack/horizon/blob/216e67371764ca329a73d63c6d187283b01db067/horizon/karma.conf.js#L87

Comment 4 David Moreau Simard 2016-08-06 16:39:34 UTC
Created attachment 1188213 [details]
python-XStatic-D3 vs python-XStatic-Angular-Schema-Form

Comment 5 David Moreau Simard 2016-08-06 16:41:12 UTC
Hi Haïkel,

1) ack
2) indeed, done and will update spec and src rpm for this and the other two xstatic package reviews in progress.
3) I compared an existing package (python-XStatic-D3) and it looks like the files are installed in the same place, especially considering the snippet you linked.

See attachment [1] for comparison.

[1]: https://bugzilla.redhat.com/attachment.cgi?id=1188213

Comment 6 David Moreau Simard 2016-08-06 17:01:43 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/master/python-XStatic-Angular-Schema-Form.spec
SRPM URL: https://github.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/raw/master/python-XStatic-Angular-Schema-Form-0.8.13.0-1.fc24.src.rpm
Description: Angular-Schema-Form JavaScript library packaged for setuptools (easy_install) / pip.

Generate forms from JSON schemas using AngularJS.
Fedora Account System Username: dmsimard

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=15158879

Comment 7 Matthias Runge 2016-08-08 06:43:02 UTC
xstatic is just a wrapper for static libraries. Thus I'd name the package the wrapped library the same as the library name (or js-angular-schema-form in this case).
Idea is, if someone will package up js-angular-schema-form from source, you could just drop the subpackage.

python-xstatic-fontawesome-fonts provides just the wrapper, where the font package already provides the pieces we needed, thus the font package was added as dependency.

Comment 8 David Moreau Simard 2016-08-08 18:16:55 UTC
Note: I will update this review shortly -- we identified that angular-schema-form has runtime dependencies that need to be expressed in the spec.

Comment 9 David Moreau Simard 2016-08-08 20:04:08 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/master/python-XStatic-Angular-Schema-Form.spec
SRPM URL: https://github.com/dmsimard/python-XStatic-Angular-Schema-Form-distgit/raw/master/python-XStatic-Angular-Schema-Form-0.8.13.0-1.fc24.src.rpm
Description: Angular-Schema-Form JavaScript library packaged for setuptools (easy_install) / pip.

Generate forms from JSON schemas using AngularJS.
Fedora Account System Username: dmsimard

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=15178436

Note: This last update adds Requires: on three dependencies, of which two are in-flight with ongoing reviews in:
- python-XStatic-tv4: https://bugzilla.redhat.com/show_bug.cgi?id=1364620
- python-XStatic-objectpath: https://bugzilla.redhat.com/show_bug.cgi?id=1364607

The dependencies are expressed here: https://github.com/json-schema-form/angular-schema-form/blob/59e4e2c8d0c50ffb5d65671f28225a53e691bb24/package.json#L21
angular-sanitize is embedded in angular and is met by python-XStatic-Angular.

Comment 10 Haïkel Guémar 2017-09-27 12:40:32 UTC
Approved.

See notes for details.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

=> This point was tested manually and will be fixed after we import
https://bugzilla.redhat.com/show_bug.cgi?id=1364607



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/haikel/1364603-python-XStatic-Angular-Schema-
     Form/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -XStatic-Angular-Schema-Form , xstatic-angular-schema-form-common ,
     python3-XStatic-Angular-Schema-Form
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.3 starting (python version = 3.6.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.3
INFO: Mock Version: 1.4.3
Finish: chroot init
INFO: installing package(s): /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/python2-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/python3-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/xstatic-angular-schema-form-common-0.8.13.0-1.fc27.noarch.rpm
ERROR: Command failed:
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=False install /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/python2-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/python3-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm /home/haikel/1364603-python-XStatic-Angular-Schema-Form/results/xstatic-angular-schema-form-common-0.8.13.0-1.fc27.noarch.rpm



Rpmlint
-------
Checking: python2-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm
          xstatic-angular-schema-form-common-0.8.13.0-1.fc27.noarch.rpm
          python3-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.noarch.rpm
          python-XStatic-Angular-Schema-Form-0.8.13.0-1.fc27.src.rpm
python2-XStatic-Angular-Schema-Form.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python2-XStatic-Angular-Schema-Form.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
xstatic-angular-schema-form-common.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-XStatic-Angular-Schema-Form.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-XStatic-Angular-Schema-Form.noarch: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
python-XStatic-Angular-Schema-Form.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python-XStatic-Angular-Schema-Form.src: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes
4 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
xstatic-angular-schema-form-common (rpmlib, GLIBC filtered):
    web-assets-filesystem

python2-XStatic-Angular-Schema-Form (rpmlib, GLIBC filtered):
    python(abi)
    python-XStatic
    python-XStatic-Angular
    python-XStatic-objectpath
    python-XStatic-tv4
    xstatic-angular-schema-form-common

python3-XStatic-Angular-Schema-Form (rpmlib, GLIBC filtered):
    python(abi)
    python3-XStatic
    python3-XStatic-Angular
    python3-XStatic-objectpath
    python3-XStatic-tv4
    xstatic-angular-schema-form-common



Provides
--------
xstatic-angular-schema-form-common:
    xstatic-angular-schema-form-common

python2-XStatic-Angular-Schema-Form:
    python-XStatic-Angular-Schema-Form
    python2-XStatic-Angular-Schema-Form
    python2.7dist(xstatic-angular-schema-form)
    python2dist(xstatic-angular-schema-form)

python3-XStatic-Angular-Schema-Form:
    python3-XStatic-Angular-Schema-Form
    python3.6dist(xstatic-angular-schema-form)
    python3dist(xstatic-angular-schema-form)



Source checksums
----------------
https://pypi.io/packages/source/X/XStatic-Angular-Schema-Form/XStatic-Angular-Schema-Form-0.8.13.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7c08634901751267fe26d266fc027cf6ed2e5f422696985cec750594b3f4e300
  CHECKSUM(SHA256) upstream package : 7c08634901751267fe26d266fc027cf6ed2e5f422696985cec750594b3f4e300
https://raw.githubusercontent.com/json-schema-form/angular-schema-form/development/LICENSE :
  CHECKSUM(SHA256) this package     : 897f1bdab51134e29175f32547e400972fa0a12b1127873c6c016e19a65cd6ce
  CHECKSUM(SHA256) upstream package : 897f1bdab51134e29175f32547e400972fa0a12b1127873c6c016e19a65cd6ce


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1364603 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Matthias Runge 2018-02-05 11:10:23 UTC
Did you go to the step of getting the package added to fedora?


Note You need to log in before you can comment on or make changes to this bug.